What mobile operating systems do you support for the Barclays app?

The Barclays app is available on:

  • iPhones running iOS 4.2.1 or later
  • Android 2.3 and above 
  • BlackBerry OS 5.0 or later (UK Only)
  • Windows Phone OS 8.0 and above (UK Only)

 

How to find out what version you're running:

Make of
Smart Phone

Instructions to find version information

iPhone

Select:
Settings > General > About > Version
or Settings > About phone > Software information

Android

Select:
Settings > About phone > Software information
Note: The journey may be slightly different on certain Android phones

BlackBerry
(UK Only)

Select:
Homepage > Options > About
Note: The journey may be slightly different on certain BlackBerry phones

Windows
(UK Only)

Select:
Settings > About

How helpful did you find this article?

Thank you for leaving some feedback

Thank you for taking the time to leave some feedback. We will use this information to improve our service.

Sorry this didn't answer your question

Please take a moment to leave some feedback, using the form below. PLEASE NOTE: Do not include any personal or account details: we cannot answer specific questions about your account.

Thank you for your rating

Please tell us why you found it useful using the form below. PLEASE NOTE: Do not include any personal or account details: we cannot answer specific questions about your account.

Top questions within Registration